declare @objectID int;
select @objectID = object_id from sys.triggers where parent_id = object_id(N'dbo.GroupInfo') and name= N'trGroupInfo_Insert';
declare @createOrAlter nvarchar(6);
set @createOrAlter = case when @objectID is null then N'create' else N'alter' end;
exec (@createOrAlter + N' trigger dbo.trGroupInfo_Insert
on dbo.GroupInfo after insert
as 
begin
    update dbo.DatabaseInfo set ConnectionCacheID = newid()
end;');